package com.zaojiao.app.feat.home.navigation

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.core.nav.LJGNavigator
import com.zaojiao.app.feat.home.HomePage
import com.zaojiao.app.feat.home.course.HomeCourseRoute
import com.zaojiao.app.feat.home.index.HomeIndexRoute
import com.zaojiao.app.feat.home.personal.HomePersonalRoute

const val homePage = "/home"
const val homeIndex = "/home/index"
const val homeCourse = "/home/course"
const val homePersonal = "/home/personal"

fun LJGNavigator.toHomePage(navOptions: NavOptions? = null) {
    this.navigate(homePage)
}

fun NavGraphBuilder.homeRoute() {
    composable(route = homePage) { HomePage() }

    composable(route = homeIndex) { HomeIndexRoute() }

    composable(route = homeCourse) { HomeCourseRoute() }

    composable(route = homePersonal) { HomePersonalRoute() }
}

